#!/bin/bash

THIS_DIR=$(cd $(dirname $0); pwd)

echo "**********************************************"
echo " Running Tetris Main Script $(date) "
echo "**********************************************"


if [ ! -f /etc/sysconfig/spectre-lame ]; then

	echo "Copying Trust File into /var/lib/pgsql/data/"
	cp $THIS_DIR/pg_hba.conf.trust /var/lib/pgsql/data/pg_hba.conf
	
	echo "Restarting the Database"
	service postgresql restart


	# Role, Database and plpgsql are static. therefore we execute outside the loop.
	echo  "Creating role..."
	/usr/bin/psql -h localhost -U postgres -d postgres -f "$THIS_DIR/DBScripts/01CreateDB/01RoleCreation.sql"
	echo  "Creating DB..."
	/usr/bin/psql -h localhost -U postgres -d postgres -f "$THIS_DIR/DBScripts/01CreateDB/02DBCreation.sql"
	echo  "Adding plpgsql to DB..."
	/usr/bin/createlang plpgsql -U postgres -d @DB_NAME@
	
	#Stamp the DB scripts with name, user, password
	echo  "Running $THIS_DIR/dbversionstamp..."
	$THIS_DIR/dbversionstamp.sh $THIS_DIR/dbversionstamp.properties

	#Execute the Tetris Commons DB Script Here
	echo  "Running $THIS_DIR/TetrisCommonsDBScript..."
	$THIS_DIR/TetrisCommonsDBScript.sh
	#Execute the Tetris Server DB Script Here

# end if not exist /etc/sysconfig/spectre-lame
fi 


 echo "**********************************************"
 echo "Copying Production File into /var/lib/pgsql/data/"
 cp $THIS_DIR/pg_hba.conf.prd /var/lib/pgsql/data/pg_hba.conf

echo "**********************************************"
echo "Copying .pgpass to tomcat home"
cp $THIS_DIR/.pgpass ~tomcat
chmod 0600 ~tomcat/.pgpass
chown tomcat:tomcat ~tomcat/.pgpass

echo "Restarting the Database"
service postgresql restart

echo  "**********************************************"
echo   " Database Tetris Main Script $(date)"
