#!/bin/bash

#create the directory to hold the staging files for deployment
mkdir -p /nfsstage
mkdir -p /nfsstage/repository

#create system startup links for NFS server and start it.
chkconfig --levels 235 nfs on
/etc/init.d/nfs restart
/etc/init.d/nfslock restart

# modify /etc/exports that serves as the access control list for file systems which may be exported to NFS clients.
echo "/nfsstage 127.0.0.1(rw,sync,no_subtree_check) *(ro,async,no_subtree_check)" >> /etc/exports

# call exportfs to make changes to exports file effective
exportfs -a

#change the owner of nfsstage
chown -R tomcat /nfsstage

#change the permission on nfsstage
chmod 755 /nfsstage
chmod 755 /nfsstage/repository

echo "nfs setup finished"
